Subject: Re: bug#55638: time-machine: backtrace about maybe-remove-expired-cache-entries

From: zimoun <[email-masked]>
Date: Fri, 27 May 2022 10:31:14 +0200

Hi,

On Thu, 26 May 2022 at 17:05, Ludovic Courtès <[email-masked]> wrote:

> This file was empty when you ran the command instead of containing an
> integer (could have been a file system corruption or something like
> that).

No, I did nothing special and the file system is not corrupted. :-)

I am just using intensively "guix time-machine".

> Solution:
>
>   rm ~/.cache/guix/inferiors/last-expiry-cleanup

Yes, this is what I did because I know enough the internals.

As Maxime said, it should be robust.  Therefore, see the fix:

https://issues.guix.gnu.org/55673

Cheers,
simon